## com.rbnb.api
Interface Shortcut

    public interface Shortcut

Client-side representation of a shortcut connection from one server to another.

Shortcuts represent a connection from one server to another that allow requests and data to flow from the first server to the second. To get data responses to come back or to allow requests to be made from the second to the first, there must be a corresponding shortcut from the second to the first.

Shortcuts can also be linked together to form a path from one server via a second to a third and so on. The responses to requests do not need to follow the same path in reverse, but instead may follow a completely different path, so long as the data gets from the source to the destination server.

For example:

If
server A has a shortcut to server B,
server B has a shortcut to server C, and
server C has a shortcut to server A,
then server A can make a request to get data from server C via server B, while the response from server C goes directly to server A.

Since:
  V2.0
See Also:
  `RBNBShortcut`
Author:
  Ian Brown
Version:
  09/29/2004

Field Summary
`static byte` `ACTIVE` `Shortcut` is active.
`static byte` `PASSIVE` `Shortcut` is passive.

Method Summary
`Object` `clone()` Clones this object.
`byte` `getActive()` Gets the active state.
`double` `getCost()` Gets the cost of using this `Shortcut`.
`String` `getDestinationAddress()` Gets the address of the destination server.
`String` `getDestinationName()` Gets the fully-qualified name of the destination server.
`void` `setActive(byte activeI)` Sets the active state.
`void` `setCost(double costI)` Sets the cost of using this `Shortcut`.
`void` `setDestinationAddress(String destinationAddressI)` Sets the address of the destination server.
`void` `setDestinationName(String destinationNameI)` Sets the name of the destination server.

Methods inherited from interface com.rbnb.api.RmapInterface
`addChild, compareNames, compareNames, compareTo, findChild, findDescendant, getFullName, getName, getParent, removeChild, removeChildAt, setName, toString, toString`

Field Detail

### ACTIVE

    static final byte ACTIVE

  `Shortcut` is active.

  `Shortcut` that in this state are fully enabled. They can be used to pass both requests and responses to those requests.

  Since:
    V2.0
  See Also:
    `PASSIVE`, Constant Field Values
  Author:
    Ian Brown
  Version:
    01/10/2002

### PASSIVE

    static final byte PASSIVE

  `Shortcut` is passive.

  `Shortcuts` that in this state can only be used to pass back responses to requests. These `Shortcuts` are used to provide a reverse connection.

  Since:
    V2.0
  See Also:
    `ACTIVE`, Constant Field Values
  Author:
    Ian Brown
  Version:
    01/10/2002

Method Detail

### clone

    Object clone()

  Clones this object.

  This same abstract declaration is also included in RmapInterface.java, but for some unknown reason J# gives a compiler error if it is not also included here.

  Returns:
    the clone.
  Since:
    V2.5
  See Also:
    `Cloneable`
  Author:
    John Wilson
  Version:
    09/29/2004

### getActive

    byte getActive()

  Gets the active state.

  Returns:
    the value.
  Since:
    V2.0
  See Also:
    `ACTIVE`, `PASSIVE`, `setActive(byte)`
  Author:
    Ian Brown
  Version:
    01/10/2002

### getCost

    double getCost()

  Gets the cost of using this `Shortcut`.

  Returns:
    the cost.
  Since:
    V2.0
  See Also:
    `setCost(double)`
  Author:
    Ian Brown
  Version:
    01/03/2002

### getDestinationAddress

    String getDestinationAddress()

  Gets the address of the destination server.

  Returns:
    the address.
  Since:
    V2.0
  See Also:
    `setDestinationAddress(String)`
  Author:
    Ian Brown
  Version:
    01/03/2002

### getDestinationName

    String getDestinationName()

  Gets the fully-qualified name of the destination server.

  Returns:
    the name.
  Since:
    V2.0
  See Also:
    `setDestinationName(String)`
  Author:
    Ian Brown
  Version:
    01/03/2002

### setActive

    void setActive(byte activeI)

  Sets the active state.

  Parameters:
    `activeI` - the new active state.
  Throws:
    `IllegalArgumentException` - thrown if the `activeI` state value is not `ACTIVE` or `PASSIVE`.
  Since:
    V2.0
  See Also:
    `ACTIVE`, `PASSIVE`, `getActive()`
  Author:
    Ian Brown
  Version:
    01/10/2002

### setCost

    void setCost(double costI)

  Sets the cost of using this `Shortcut`.

  Parameters:
    `costI` - the cost.
  Throws:
    `IllegalArgumentException` - thrown if the cost is less than 1.
  Since:
    V2.0
  See Also:
    `getCost()`
  Author:
    Ian Brown
  Version:
    01/03/2002

### setDestinationAddress

    void setDestinationAddress(String destinationAddressI)

  Sets the address of the destination server.

  Parameters:
    `destinationAddressI` - the destination address.
  Since:
    V2.0
  See Also:
    `getDestinationAddress()`
  Author:
    Ian Brown
  Version:
    01/03/2002

### setDestinationName

    void setDestinationName(String destinationNameI)

  Sets the name of the destination server.

  Parameters:
    `destinationNameI` - the destination name.
  Since:
    V2.0
  See Also:
    `getDestinationName()`
  Author:
    Ian Brown
  Version:
    01/03/2002